Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.yahoo
Class YahooFriendStatusEnum

    java.lang.Object
      |
      +--com.compoze.collab.CollabEnum
            |
            +--com.compoze.collab.im.FriendStatusEnum
                  |
                  +--com.compoze.collab.yahoo.YahooFriendStatusEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class YahooFriendStatusEnum
extends FriendStatusEnum
implements java.io.Serializable

The enumeration class that contains `YahooFriendStatus` elements.

See Also:
  Serialized Form

Field Summary
`static YahooFriendStatus` | `AVAILABLE` Status indicates that the user is able to receive messages
`static YahooFriendStatus` | `BAD` Status indicates that the user has been marked undesirable for message exchange
`static YahooFriendStatus` | `BE_RIGHT_BACK` Status indicates that the user is currently away but intends to return shortly
`static YahooFriendStatus` | `BUSY` Status indicates that the user is preoccupied
`static YahooFriendStatus` | `CUSTOM` Custom user-defined status
`static YahooFriendStatus` | `IDLE` Status indicates that the user has not been actively using the workstation for an extended period of time
`static YahooFriendStatus` | `INVISIBLE` Status indicates that the user's presence information is not to be revealed
`static YahooFriendStatus` | `LOCKED` Status indicates that the Yahoo messenger client is currently locked
`static YahooFriendStatus` | `NOT_AT_DESK` Status indicates that the user is not at the desk
`static YahooFriendStatus` | `NOT_AT_HOME` Status indicates that the user is not home
`static YahooFriendStatus` | `NOT_IN_OFFICE` Status indidcates that the user is out of the office
`static int` | `NUM_ELEMENTS`
`static YahooFriendStatus` | `ON_PHONE` Status indicates that the user is on the phone
`static YahooFriendStatus` | `ON_VACATION` Status indicates that the user is away on vacation
`static YahooFriendStatus` | `OUT_TO_LUNCH` Status indicates the the user is out to lunch
`static YahooFriendStatus` | `STEPPED_OUT` Status indicates that the user has momentarily left the workstation
`static YahooFriendStatus` | `TYPING` Status indicates that the user is actively using the keyboard
`static int` | `VALUE_AVAILABLE`
`static int` | `VALUE_BAD`
`static int` | `VALUE_BE_RIGHT_BACK`
`static int` | `VALUE_BUSY`
`static int` | `VALUE_CUSTOM`
`static int` | `VALUE_IDLE`
`static int` | `VALUE_INVISIBLE`
`static int` | `VALUE_LOCKED`
`static int` | `VALUE_NOT_AT_DESK`
`static int` | `VALUE_NOT_AT_HOME`
`static int` | `VALUE_NOT_IN_OFFICE`
`static int` | `VALUE_ON_PHONE`
`static int` | `VALUE_ON_VACATION`
`static int` | `VALUE_OUT_TO_LUNCH`
`static int` | `VALUE_STEPPED_OUT`
`static int` | `VALUE_TYPING`

Fields inherited from class com.compoze.collab.im.FriendStatusEnum
`OFFLINE, VALUE_OFFLINE`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `YahooFriendStatusEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `YahooFriendStatusEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_AVAILABLE

    public static final int VALUE_AVAILABLE

### VALUE_IDLE

    public static final int VALUE_IDLE

### VALUE_BUSY

    public static final int VALUE_BUSY

### VALUE_BE_RIGHT_BACK

    public static final int VALUE_BE_RIGHT_BACK

### VALUE_NOT_AT_HOME

    public static final int VALUE_NOT_AT_HOME

### VALUE_NOT_AT_DESK

    public static final int VALUE_NOT_AT_DESK

### VALUE_NOT_IN_OFFICE

    public static final int VALUE_NOT_IN_OFFICE

### VALUE_ON_PHONE

    public static final int VALUE_ON_PHONE

### VALUE_ON_VACATION

    public static final int VALUE_ON_VACATION

### VALUE_OUT_TO_LUNCH

    public static final int VALUE_OUT_TO_LUNCH

### VALUE_STEPPED_OUT

    public static final int VALUE_STEPPED_OUT

### VALUE_INVISIBLE

    public static final int VALUE_INVISIBLE

### VALUE_BAD

    public static final int VALUE_BAD

### VALUE_LOCKED

    public static final int VALUE_LOCKED

### VALUE_TYPING

    public static final int VALUE_TYPING

### VALUE_CUSTOM

    public static final int VALUE_CUSTOM

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

### AVAILABLE

    public static final YahooFriendStatus AVAILABLE

  Status indicates that the user is able to receive messages

### IDLE

    public static final YahooFriendStatus IDLE

  Status indicates that the user has not been actively using the workstation for an extended period of time

### BUSY

    public static final YahooFriendStatus BUSY

  Status indicates that the user is preoccupied

### BE_RIGHT_BACK

    public static final YahooFriendStatus BE_RIGHT_BACK

  Status indicates that the user is currently away but intends to return shortly

### NOT_AT_HOME

    public static final YahooFriendStatus NOT_AT_HOME

  Status indicates that the user is not home

### NOT_AT_DESK

    public static final YahooFriendStatus NOT_AT_DESK

  Status indicates that the user is not at the desk

### NOT_IN_OFFICE

    public static final YahooFriendStatus NOT_IN_OFFICE

  Status indidcates that the user is out of the office

### ON_PHONE

    public static final YahooFriendStatus ON_PHONE

  Status indicates that the user is on the phone

### ON_VACATION

    public static final YahooFriendStatus ON_VACATION

  Status indicates that the user is away on vacation

### OUT_TO_LUNCH

    public static final YahooFriendStatus OUT_TO_LUNCH

  Status indicates the the user is out to lunch

### STEPPED_OUT

    public static final YahooFriendStatus STEPPED_OUT

  Status indicates that the user has momentarily left the workstation

### INVISIBLE

    public static final YahooFriendStatus INVISIBLE

  Status indicates that the user's presence information is not to be revealed

### BAD

    public static final YahooFriendStatus BAD

  Status indicates that the user has been marked undesirable for message exchange

### LOCKED

    public static final YahooFriendStatus LOCKED

  Status indicates that the Yahoo messenger client is currently locked

### TYPING

    public static final YahooFriendStatus TYPING

  Status indicates that the user is actively using the keyboard

### CUSTOM

    public static final YahooFriendStatus CUSTOM

  Custom user-defined status

Constructor Detail

### YahooFriendStatusEnum

    protected YahooFriendStatusEnum(java.lang.Class elementClass,
                                    int iNumElements,
                                    com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                                    EnumElement defaultElement,
                                    java.lang.String sInternalName,
                                    boolean bMaskable)

  Constructor.

### YahooFriendStatusEnum

    protected YahooFriendStatusEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 Compoze Software, Inc. All rights reserved.